Bug 15570 - circ/renew.pl is broken
Summary: circ/renew.pl is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 11944
Blocks: 15581
  Show dependency treegraph
 
Reported: 2016-01-13 17:50 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15570: (follow-up) Bug 11944 Remove all utf8 filter from templates (2.17 KB, patch)
2016-01-13 17:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15570: (follow-up) Bug 11944 Remove all utf8 filter from templates (2.23 KB, patch)
2016-01-14 17:01 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 15570: (follow-up) Bug 11944 Remove all utf8 filter from templates (2.30 KB, patch)
2016-01-18 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-01-13 17:50:54 UTC
Using this script to renew an issue, you will get a "Template process failed: plugin error - ".
Comment 1 Jonathan Druart 2016-01-13 17:52:26 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-01-13 20:25:44 UTC
(In reply to Jonathan Druart from comment #1)
> Created attachment 46614 [details] [review] [review]
> Bug 15570: (follow-up) Bug 11944 Remove all utf8 filter from templates
> 
> Test plan:
> use circ/renew.pl to renew an issue.
> Without this patch, you will get an error.
> 
> Note: The error exists for 1 year now and nobody complained?? Does
> someone still use this script?

Yes, the library that sponsored the feature is still on an older stable release.
Comment 3 HB-NEKLS 2016-01-13 21:15:43 UTC
Kyle beat me to commenting -- I just checked it on 3.18.12 and it's still working as expected, hence no complaints yet! Only our school libraries are using the feature, as far as I know. They would have let me know if it was broken. I haven't started testing 3.22 yet (coming soon), but will definitely be tracking this bug.
Comment 4 Aleisha Amohia 2016-01-14 00:24:06 UTC
circ/renew.pl is not working for me, i keep getting this error:
Can't call method "single" without a package or object reference at /home/vagrant/kohaclone/circ/renew.pl line 57.
Comment 5 Jonathan Druart 2016-01-14 08:41:39 UTC
Aleisha, update your repo, this error has been fixed by bug 15462.
Comment 6 Nick Clemens 2016-01-14 17:01:16 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-01-18 07:06:53 UTC
Created attachment 46762 [details] [review]
[PASSED QA] Bug 15570: (follow-up) Bug 11944 Remove all utf8 filter from templates

Test plan:
use circ/renew.pl to renew an issue.
Without this patch, you will get an error.

Note: The error exists for 1 year now and nobody complained?? Does
someone still use this script?

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jesse Weaver 2016-01-19 22:08:39 UTC
Pushed to master. Thanks for your work.
Comment 9 Julian Maurice 2016-01-25 11:43:51 UTC
Patch pushed to 3.22.x, will be in 3.22.2
Comment 10 Frédéric Demians 2016-01-25 16:27:47 UTC
This patch has been pushed to 3.20.x, will be in 3.20.8.